Bug 3540 - conflicts between packages
: conflicts between packages
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/jdkgcj)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
: 3739
:
  Show dependency tree
 
Reported: 2004-01-23 19:13 by
Modified: 2005-08-30 03:05 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-01-23 19:13:43
[sass@sass sass]$ sudo apt-get install jdkgcj
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Следующие НОВЫЕ пакеты будут установлены:
  jdkgcj
0 будет обновлено, 1 новых установлено, 0 пакетов будет удалено и 2 не будет
обновлено.
Необходимо получить 0B/5463B архивов.
После распаковки потребуется дополнительно 3833B дискового пространства.
Совершаем изменения...
Preparing...                 ########################################### [100%]
file /usr/bin/java from install of jdkgcj-0.2.3-alt5 conflicts with file from
package java-common-1.0-alt3
E: Ошибка во время исполнения транзакции
------- Comment #1 From 2004-02-24 14:56:02 -------
Новый jdkgcj почти готов.

Хотелось бы добавить ещё заглушку в man для альтернатив.

Пока что, рекомендую озаботиться тем, что gcc-java-common конфликтует по трем
именам с альтернативами j2se:
%_bindir/jar
%_bindir/rmic
%_bindir/rmiregistry
Последнее, видимо, придётся оформлять как wrapper в java-common. Все три имени в
gcc-java-common должны получить префикс gcj- (или другой/суффикс, но уведомьте
меня). Тогда я смогу их зацепить через альтернативы jdkgcj.
------- Comment #2 From 2004-02-25 14:15:38 -------
Практически всё готово, осталось решить проблему с именами в gcc-java-common.
------- Comment #3 From 2004-03-05 00:02:41 -------
*** Bug 2497 has been marked as a duplicate of this bug. ***
------- Comment #4 From 2004-03-08 11:15:26 -------
fixed